> For the complete documentation index, see [llms.txt](https://docs.high-mobility.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.high-mobility.com/api-references/data/streaming-schema-v2/maintenance.md).

# Maintenance

Example data points for maintenance

<pre class="language-json"><code class="lang-json">{
  "version": 2,
  "application_id": "00000000-0000-0000-0000-000000000000",
  "message_id": "5502FFB01650060FA8888E5C3ED46FF2A0E4A49EACF1A92E264CD0C137971B28",
  "vin": "EXV10000000",
  "data": {
    "<a data-footnote-ref href="#user-content-fn-1">maintenance</a>": {
      "<a data-footnote-ref href="#user-content-fn-2">service_distance_threshold</a>": [
        {
          "data": {
            "unit": "kilometers",
            "value": 25589
          },
          "timestamp": "2025-09-26T08:06:34.073Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-3">distance_to_next_service</a>": [
        {
          "data": {
            "unit": "kilometers",
            "value": 28500
          },
          "timestamp": "2025-09-26T09:10:55Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-4">next_inspection_date</a>": [
        {
          "data": "2026-04-11T00:00:00Z",
          "timestamp": "2025-09-26T14:18:00.000Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-5">time_to_next_service</a>": [
        {
          "data": {
            "unit": "days",
            "value": 104
          },
          "timestamp": "2025-09-26T04:23:09.168Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-6">brake_fluid_change_date</a>": [
        {
          "data": "2028-01-01T00:00:00.000Z",
          "timestamp": "2025-09-22T06:00:48Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-7">brake_fluid_status</a>": [
        {
          "data": "ok",
          "timestamp": "2025-09-22T06:00:48Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-8">distance_to_next_oil_service</a>": [
        {
          "data": {
            "unit": "kilometers",
            "value": 26000
          },
          "timestamp": "2025-09-22T06:00:48Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-9">inspection_status</a>": [
        {
          "data": "ok",
          "timestamp": "2025-09-22T06:00:48Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-10">next_oil_service_date</a>": [
        {
          "data": "2027-01-01T00:00:00.000Z",
          "timestamp": "2025-09-22T06:00:48Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-11">vehicle_check_date</a>": [
        {
          "data": "2029-01-01T00:00:00.000Z",
          "timestamp": "2025-09-22T06:00:48Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-12">vehicle_check_distance_to</a>": [
        {
          "data": {
            "unit": "kilometers",
            "value": 60000
          },
          "timestamp": "2025-09-22T06:00:48Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-13">vehicle_check_status</a>": [
        {
          "data": "ok",
          "timestamp": "2025-09-22T06:00:48Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-14">time_to_next_oil_service</a>": [
        {
          "data": {
            "unit": "days",
            "value": 351
          },
          "timestamp": "2025-09-24T12:24:33Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-15">legal_inspection_date</a>": [
        {
          "data": "2028-03-11T00:00:00.000Z",
          "timestamp": "2025-09-27T14:02:06Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-16">brakes_service_remaining_distances</a>": [
        {
          "data": {
            "axle": "rear",
            "distance": {
              "unit": "kilometers",
              "value": 4000
            }
          },
          "timestamp": "2025-09-18T08:41:30Z"
        }
      ],
      "<a data-footnote-ref href="#user-content-fn-17">brakes_service_statuses</a>": [
        {
          "data": {
            "axle": "rear",
            "status": "ok"
          },
          "timestamp": "2025-09-18T08:41:30Z"
        }
      ]
    }
  }
}

</code></pre>

[^1]: [Maintenance specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^2]: [Service distance threshold specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance/%23%2Fproperties%2Fmaintenance%2Fproperties%2Fservice_distance_threshold%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^3]: [Distance to next service specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance/%23%2Fproperties%2Fmaintenance%2Fproperties%2Fdistance_to_next_service%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^4]: [Next inspection date specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance/%23%2Fproperties%2Fmaintenance%2Fproperties%2Fnext_inspection_date%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^5]: [Time to next service specificaion](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance/%23%2Fproperties%2Fmaintenance%2Fproperties%2Ftime_to_next_service%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^6]: [brake fluid change date specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance/%23%2Fproperties%2Fmaintenance%2Fproperties%2Fbrake_fluid_change_date%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^7]: [Brake fluid status specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance/%23%2Fproperties%2Fmaintenance%2Fproperties%2Fbrake_fluid_status%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^8]: Indicates the remaining distance until the next oil service; if this limit was exceeded, this value indicates the distance that has been driven since then.

    \
    [Distance to next oil service specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance/%23%2Fproperties%2Fmaintenance%2Fproperties%2Fdistance_to_next_oil_service%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^9]: [Inspection status specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance/%23%2Fproperties%2Fmaintenance%2Fproperties%2Finspection_status%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^10]: [Next oil service date specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance/%23%2Fproperties%2Fmaintenance%2Fproperties%2Fnext_oil_service_date%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^11]: [Vehicle check date specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance/%23%2Fproperties%2Fmaintenance%2Fproperties%2Fvehicle_check_date%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^12]: [Vehicle check distance to specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance/%23%2Fproperties%2Fmaintenance%2Fproperties%2Fvehicle_check_distance_to%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^13]: [Vehicle check status specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance/%23%2Fproperties%2Fmaintenance%2Fproperties%2Fvehicle_check_status%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^14]: [Time to next oil service specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance/%23%2Fproperties%2Fmaintenance%2Fproperties%2Ftime_to_next_oil_service%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^15]: [Legal inspection date specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance/%23%2Fproperties%2Fmaintenance%2Fproperties%2Flegal_inspection_date%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^16]: [Brakes service remaining distances specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance/%23%2Fproperties%2Fmaintenance%2Fproperties%2Fbrakes_service_remaining_distances%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)

[^17]: [brakes services statuses specification](https://json-schema.app/view/%23/%23%2Fproperties%2Fmaintenance/%23%2Fproperties%2Fmaintenance%2Fproperties%2Fbrakes_service_statuses%2Fitems?url=https%3A%2F%2Fraw.githubusercontent.com%2Fhighmobility%2Fopen-api-specifications%2Frefs%2Fheads%2Fmain%2Fjson-schema%2Fauto-api%2F0002%2Fspec.json)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.high-mobility.com/api-references/data/streaming-schema-v2/maintenance.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
